Google trækker i land: Vil ikke spænde ben for ad-blockere

Illustration: Azri Suratmin, BigStock
Ad-blockere i Chrome kan godt bruge en ældre API, uden at det får konsekvenser for ydeevnen i Chrome, viser en ny undersøgelse.

Google vil revidere de foreslåede ændringer i det udvidelses-API til Chrome, som ellers skulle have begrænset funktionaliteten eller ligefrem sat en stopper for flere ad-blockere.

Det skriver Ars Technica.

Problemerne opstod i forbindelse med Googles Manifest V3, som blandt andet indebar et eftersyn med udvidelser i Chrome. Ifølge Google skulle eftersynet sikre privatliv for brugere og gøre det sværere for ondsindede udviklere at sprede malware gennem Chrome-udvidelser.

Derudover skulle browserens ydeevne gøres mere stabil, og derfor skulle udviklere af eksempelvis ad-blockere benytte sig af en ny DeclarativeNetRequest API i stedet for den ældre webRequest API, som ifølge Google gjorde Chrome-browseren mere sløv.

Men den nye API satte begrænsninger for, hvor mange netværksforespørgsler en udvidelse kunne sende. Både brugere og udviklere reagerede med kraftig kritik på Googles planer med beskylninger om, at Google prøvede at kvæle funktionaliteten af tredjeparts-ad-blockere til fordel for den nye indbyggede ad-blocker fra Chrome.

Og nu har en ny undersøgelse udført af ad-blockeren Ghostery samtidig vist, at det næsten ikke har betydning for Chrome-browserens ydeevne, at ad-blockeren bruger en ældre API, hvilket står i modsætning til Googles tidligere udmeldinger.

Google har nu besluttet at revidere i manifestet og virksomheden fastholder, at det aldrig har været meningen, at forhindre eller stoppe muligheden for at blokere indhold.

Tips og korrekturforslag til denne historie sendes til tip@version2.dk
Kommentarer (0)
sortSortér kommentarer
  • Ældste først
  • Nyeste først
  • Bedste først
Log ind eller Opret konto for at kommentere
IT Company Rank
maximize minimize